aboutsummaryrefslogtreecommitdiff
path: root/pkgs/tools/security/b3sum/update-cargo-lock.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/tools/security/b3sum/update-cargo-lock.sh')
-rwxr-xr-xpkgs/tools/security/b3sum/update-cargo-lock.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/pkgs/tools/security/b3sum/update-cargo-lock.sh b/pkgs/tools/security/b3sum/update-cargo-lock.sh
new file mode 100755
index 000000000000..8c52ad5cf6c0
--- /dev/null
+++ b/pkgs/tools/security/b3sum/update-cargo-lock.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# This updates cargo-lock.patch for the b3sum version listed in default.nix.
+
+set -eu -o verbose
+
+here=$PWD
+version=$(cat default.nix | grep '^ version = "' | cut -d '"' -f 2)
+checkout=$(mktemp -d)
+git clone -b "$version" --depth=1 https://github.com/BLAKE3-team/BLAKE3 "$checkout"
+cd "$checkout"
+
+(cd b3sum && cargo generate-lockfile)
+mv b3sum/Cargo.lock ./
+git add -f Cargo.lock
+git diff HEAD -- Cargo.lock > "$here"/cargo-lock.patch
+
+cd "$here"
+rm -rf "$checkout"